clear all; close all; clc;
s = tf('s'); G = 1/(s*(s+0.3)); %G(s)
num_G = G.num{:}; %Colocar no numerador da F.T. da planta
den_G = G.den{:}; %Colocar no denominador da F.T. da planta
C = 13.162*(s+0.3)/(s+3.628); %C(s)
num_C = C.num{:}; %Colocar no numerador da F.T. do controlador
den_C = C.den{:}; %Colocar no denominador da F.T. do controlador
t_run = 6; %Colocar no simulation stop time do SIMULINK
t_step = 1; %Colocar no parmetro step time do bloco step 
sim('controle_01'); %Executa o arquivo controle_01 do SIMULINK
subplot(121); plot(tout, r, 'k--', tout, y,'k'); %Grfico de sada
xlabel('Tempo (s)'); ylabel('Amplitide');
leg = legend('Referncia','Resposta');
subplot(122); plot(tout, u,'k'); %Grfico do sinal de controle
xlabel('t (s)'); ylabel('u(t)');