clear all; close all; clc;
s = tf('s'); z = tf('z'); Ts = 0.2;
C = 1/((s+2)^2);
Cd1 = tf(bilin(ss(C),1,'FwdRec',Ts)); %bilin é aplicada em espaço de estados
Cd2 = tf(bilin(ss(C),1,'BwdRec',Ts));
Cd3 = c2d(C,Ts,'Tustin');
t = 0:Ts/10:5; td = 0:Ts:5;
y = step(C,t); y1 = step(Cd1,td);
y2 = step(Cd2,td); y3 = step(Cd3,td);
plot(t,y,'k'); hold on;
stairs(td,y1,'b'); stairs(td,y2,'r'); stairs(td,y3,'g');
legend('Contínuo','Retangular p/ frente','Retangular para trás','Tustin');