clear all; close all; clc;
zeta = 0.5; sigma = 1; wd=2.5; Ts = 0.25;
subplot(121) % plano_s
s1 = linspace(0,-4,1e3)*exp(sqrt(-1)*acos(zeta)); % zeta cte
plot(real(s1), imag(s1),'k'); hold on; plot(real(s1'), imag(s1'),'k');
s2 = linspace(0,-5,1e3); % wd cte
plot(s2,repmat(wd,1,length(s2)),'k'); plot(s2,-repmat(wd,1,length(s2)),'k');
s3 = linspace(-4,4,1e3); % sigma = -zeta*wn cte;
plot(repmat(-sigma,1,length(s3)),s3,'k'); axis('square');
subplot(122) % plano_z
%zgrid(zeta); hold on; % zeta cte 
z1 = exp(linspace(0,pi/Ts,1e5).*((-zeta/sqrt(1-zeta^2)+sqrt(-1)).*Ts));
plot(real(z1), imag(z1),'k');hold on; plot(real(z1'), imag(z1'),'k');
z2 = linspace(0,1,1e5)*exp(j*wd*Ts); % wd cte
plot(real(z2), imag(z2),'k'); plot(real(z2'), imag(z2'),'k');
z3 =  exp(-sigma*Ts).*exp(j*linspace(-pi,pi,1e5)); % sigma = -zeta*wn cte;
plot(real(z3), imag(z3),'k'); axis('square');