clear all; close all; clc;
T_s = 0.2;
num_1 = [1-exp(-2*T_s) 0];
den_1 = conv([1 -1],[1 -exp(-2*T_s)]);
F_1 = tf(num_1, den_1,T_s);
subplot(121); rlocus(F_1,'k'); axis([-2 2 -1 1]); hold on;
K_1_lim = margin(F_1);
plot(-1,0,'ks'); text(-1.95,0.1,['K = ',num2str(K_1_lim,4)]);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
T_s = 1.0;
num_2 = [1-exp(-2*T_s) 0];
den_2 = conv([1 -1],[1 -exp(-2*T_s)]);
F_2 = tf(num_2, den_2,T_s);
subplot(122); rlocus(F_2,'k'); axis([-2 2 -1 1]);hold on;
K_2_lim = margin(F_2);
plot(-1,0,'ks'); text(-1.95,0.1,['K = ',num2str(K_2_lim,3)]);