clear all; close all; clc;
% Matrizes A, B e C
A = [-4 -1 1; 0 -3 1; 1 1 -3]; B = [1; 0; 0]; C = [-1 -3 0];
% Teste de Controlabilidade
Co = ctrb(A,B); % Matriz de Controlabilidade
disp(['Posto da Matriz de Controlabilidade: ', num2str(rank(Co))]);
% Matriz de transformação de Similaridade Tco
pA = poly(A);
Ta = hankel([pA(end-1:-1:2),1]); %Matriz Ta
Tco = Co*Ta; %Matriz Tco
%Sitema convertido para a forma controlável:
Aco = inv(Tco)*A*Tco; Bco = inv(Tco)*B; Cco = C*Tco;
%% Projeto do Controlador
p = [0.9 0.91 0.95]; %Especificação dos polos
pol = poly(p); q = pol(end:-1:2); %Valores dos q's
Aa = -Aco(3,:); %Valores dos a's
%  Projeto na forma canônica controlável:
Kc = (q - Aa);
% Transformação para a base original
K = Kc*inv(Tco); %Compare com acker(A,B,p)

