clear all; close all; clc;
% Matrizes A, B e C
A = [-4 -1 1; 0 -3 1; 1 1 -3]; B = [1; 0; 0]; C = [-1 -3 0];
% Teste de Observabilidade
Ob = obsv(A,C); % Matriz de Observabilidade
disp(['Posto da Matriz de Observabilidade: ', num2str(rank(Ob))]);
% Matriz de transformação de Similaridade Tob
pA = poly(A);
Ta = hankel([pA(end-1:-1:2),1]); %Matriz Ta
Tob = inv(Ta*Ob); %Matriz Tob
%Sitema convertido para a forma observável:
Aob = inv(Tob)*A*Tob; Bob = inv(Tob)*B; Cob = C*Tob;
%% Projeto do Observador
p = [0.7 0.71 0.75]; %Especificação dos polos
pol = poly(p); q = pol(end:-1:2).'; %Valores dos q's
Aa = -Aob(:,3); %Valores dos a's
%  Projeto na forma canônica observável:
Lo = (q - Aa);
% Transformação para a base original
L = Tob*Lo; %Compare com acker(A.',C.',p).'