clear all; clc; close all;
Phi = [2 2;1 0]; Gamma = [1; 0]; N = 8; 
Q = diag([1,2]); R=1; S = eye(2);
P = zeros(2,2,N+1); P(:,:,N+1) = S; K = zeros(N+1,2);
for n=N+1:-1:1  % Cálculo de K
	M = P(:,:,n)-P(:,:,n)*Gamma*inv(R+Gamma'*P(:,:,n)*Gamma)*Gamma'*P(:,:,n);
	if (n>1)
		K(n-1,:) = inv(R+Gamma'*P(:,:,n)*Gamma)*Gamma'*P(:,:,n)*Phi;
		P(:,:,n-1) = Phi'*M*Phi+Q;
	end
end
x = zeros(2,N+1); x(:,1) = [1; 0]; u = zeros(1,N+1); 
for n=1:N+1 % Cálculo de u
	u(n) = -K(n,:)*x(:,n);
	x(:,n+1) = Phi*x(:,n)+Gamma*u(n);
end